| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
AIE interface
Vector Conversions » Upshift

## Fixed-point 256-bit vector to 512-bit accumulator conversions
shft parameter is in the range of 0 to 63
v8acc64 | lups (v8int32 a, int shft)
v8acc64 | lups_conf (v8int32 a, int shft, crsat_t sat)
v8acc64 | lups (v8uint32 a, int shft)
v8acc64 | lups_conf (v8uint32 a, int shft, crsat_t sat)
v16acc32 | sups (v16int16 a, int shft)
v16acc32 | sups_conf (v16int16 a, int shft, crsat_t sat)
v16acc32 | sups (v16uint16 a, int shft)
v16acc32 | sups_conf (v16uint16 a, int shft, crsat_t sat)
v4cacc64 | lups (v4cint32 a, int shft)
v4cacc64 | lups_conf (v4cint32 a, int shft, crsat_t sat)

## Fixed-point 256-bit vector to 512-bit accumulator conversions with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v8acc64 | lups (v8int32 a, int shft, int sign)
v8acc64 | lups_conf (v8int32 a, int shft, int sign, crsat_t sat)
v8acc64 | lups (v8uint32 a, int shft, int sign)
v8acc64 | lups_conf (v8uint32 a, int shft, int sign, crsat_t sat)
v16acc32 | sups (v16int16 a, int shft, int sign)
v16acc32 | sups_conf (v16int16 a, int shft, int sign, crsat_t sat)
v16acc32 | sups (v16uint16 a, int shft, int sign)
v16acc32 | sups_conf (v16uint16 a, int shft, int sign, crsat_t sat)
v4cacc64 | lups (v4cint32 a, int shft, int sign)
v4cacc64 | lups_conf (v4cint32 a, int shft, int sign, crsat_t sat)

## Fixed-point 256-bit vector to 1024-bit accumulator conversions
shft parameter is in the range of 0 to 63
v32acc32 | sups (v32int8 a, int shft)
v32acc32 | sups_conf (v32int8 a, int shft, crsat_t sat)
v32acc32 | sups (v32uint8 a, int shft)
v32acc32 | sups_conf (v32uint8 a, int shft, crsat_t sat)
v16acc64 | lups (v16int16 a, int shft)
v16acc64 | lups_conf (v16int16 a, int shft, crsat_t sat)
v16acc64 | lups (v16uint16 a, int shft)
v16acc64 | lups_conf (v16uint16 a, int shft, crsat_t sat)
v8cacc64 | lups (v8cint16 a, int shft)
v8cacc64 | lups_conf (v8cint16 a, int shft, crsat_t sat)

## Fixed-point 256-bit vector to 1024-bit accumulator conversions with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v32acc32 | sups (v32int8 a, int shft, int sign)
v32acc32 | sups_conf (v32int8 a, int shft, int sign, crsat_t sat)
v32acc32 | sups (v32uint8 a, int shft, int sign)
v32acc32 | sups_conf (v32uint8 a, int shft, int sign, crsat_t sat)
v16acc64 | lups (v16int16 a, int shft, int sign)
v16acc64 | lups_conf (v16int16 a, int shft, int sign, crsat_t sat)
v16acc64 | lups (v16uint16 a, int shft, int sign)
v16acc64 | lups_conf (v16uint16 a, int shft, int sign, crsat_t sat)
v8cacc64 | lups (v8cint16 a, int shft, int sign)
v8cacc64 | lups_conf (v8cint16 a, int shft, int sign, crsat_t sat)

## Fixed-point 512-bit vector to 1024-bit accumulator conversions
shft parameter is in the range of 0 to 63
v16acc64 | lups (v16int32 a, int shft)
v16acc64 | lups_conf (v16int32 a, int shft, crsat_t sat)
v16acc64 | lups (v16uint32 a, int shft)
v16acc64 | lups_conf (v16uint32 a, int shft, crsat_t sat)
v32acc32 | sups (v32int16 a, int shft)
v32acc32 | sups_conf (v32int16 a, int shft, crsat_t sat)
v32acc32 | sups (v32uint16 a, int shft)
v32acc32 | sups_conf (v32uint16 a, int shft, crsat_t sat)
v8cacc64 | lups (v8cint32 a, int shft)
v8cacc64 | lups_conf (v8cint32 a, int shft, crsat_t sat)

## Fixed-point 512-bit vector to 1024-bit accumulator conversions with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v16acc64 | lups (v16int32 a, int shft, int sign)
v16acc64 | lups_conf (v16int32 a, int shft, int sign, crsat_t sat)
v16acc64 | lups (v16uint32 a, int shft, int sign)
v16acc64 | lups_conf (v16uint32 a, int shft, int sign, crsat_t sat)
v32acc32 | sups (v32int16 a, int shft, int sign)
v32acc32 | sups_conf (v32int16 a, int shft, int sign, crsat_t sat)
v32acc32 | sups (v32uint16 a, int shft, int sign)
v32acc32 | sups_conf (v32uint16 a, int shft, int sign, crsat_t sat)
v8cacc64 | lups (v8cint32 a, int shft, int sign)
v8cacc64 | lups_conf (v8cint32 a, int shft, int sign, crsat_t sat)

## Fixed-point 512-bit vector to 2048-bit accumulator conversions
shft parameter is in the range of 0 to 63
v64acc32 | sups (v64int8 a, int shft)
v64acc32 | sups_conf (v64int8 a, int shft, crsat_t sat)
v64acc32 | sups (v64uint8 a, int shft)
v64acc32 | sups_conf (v64uint8 a, int shft, crsat_t sat)
v32acc64 | lups (v32int16 a, int shft)
v32acc64 | lups_conf (v32int16 a, int shft, crsat_t sat)
v32acc64 | lups (v32uint16 a, int shft)
v32acc64 | lups_conf (v32uint16 a, int shft, crsat_t sat)
v16cacc64 | lups (v16cint16 a, int shft)
v16cacc64 | lups_conf (v16cint16 a, int shft, crsat_t sat)

## Fixed-point 512-bit vector to 2048-bit accumulator conversions with dynamic sign
shft parameter is in the range of 0 to 63 sign parameter is the sign for the UPS conversion
v64acc32 | sups (v64int8 a, int shft, int sign)
v64acc32 | sups_conf (v64int8 a, int shft, int sign, crsat_t sat)
v64acc32 | sups (v64uint8 a, int shft, int sign)
v64acc32 | sups_conf (v64uint8 a, int shft, int sign, crsat_t sat)
v32acc64 | lups (v32int16 a, int shft, int sign)
v32acc64 | lups_conf (v32int16 a, int shft, int sign, crsat_t sat)
v32acc64 | lups (v32uint16 a, int shft, int sign)
v32acc64 | lups_conf (v32uint16 a, int shft, int sign, crsat_t sat)
v16cacc64 | lups (v16cint16 a, int shft, int sign)
v16cacc64 | lups_conf (v16cint16 a, int shft, int sign, crsat_t sat)

## Detailed Description

## Function Documentation

## ◆ lups() [1/24]

v16cacc64 lups | ( | v16cint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [2/24]

v16cacc64 lups | ( | v16cint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [3/24]

v16acc64 lups | ( | v16int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [4/24]

v16acc64 lups | ( | v16int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [5/24]

v16acc64 lups | ( | v16int32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [6/24]

v16acc64 lups | ( | v16int32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [7/24]

v16acc64 lups | ( | v16uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [8/24]

v16acc64 lups | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [9/24]

v16acc64 lups | ( | v16uint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [10/24]

v16acc64 lups | ( | v16uint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [11/24]

v32acc64 lups | ( | v32int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [12/24]

v32acc64 lups | ( | v32int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [13/24]

v32acc64 lups | ( | v32uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [14/24]

v32acc64 lups | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [15/24]

v4cacc64 lups | ( | v4cint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [16/24]

v4cacc64 lups | ( | v4cint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [17/24]

v8cacc64 lups | ( | v8cint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [18/24]

v8cacc64 lups | ( | v8cint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [19/24]

v8cacc64 lups | ( | v8cint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [20/24]

v8cacc64 lups | ( | v8cint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [21/24]

v8acc64 lups | ( | v8int32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [22/24]

v8acc64 lups | ( | v8int32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups() [23/24]

v8acc64 lups | ( | v8uint32 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ lups() [24/24]

v8acc64 lups | ( | v8uint32 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ lups_conf() [1/24]

v16cacc64 lups_conf | ( | v16cint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [2/24]

v16cacc64 lups_conf | ( | v16cint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [3/24]

v16acc64 lups_conf | ( | v16int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [4/24]

v16acc64 lups_conf | ( | v16int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [5/24]

v16acc64 lups_conf | ( | v16int32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [6/24]

v16acc64 lups_conf | ( | v16int32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [7/24]

v16acc64 lups_conf | ( | v16uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [8/24]

v16acc64 lups_conf | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [9/24]

v16acc64 lups_conf | ( | v16uint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [10/24]

v16acc64 lups_conf | ( | v16uint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [11/24]

v32acc64 lups_conf | ( | v32int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [12/24]

v32acc64 lups_conf | ( | v32int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [13/24]

v32acc64 lups_conf | ( | v32uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [14/24]

v32acc64 lups_conf | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [15/24]

v4cacc64 lups_conf | ( | v4cint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [16/24]

v4cacc64 lups_conf | ( | v4cint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [17/24]

v8cacc64 lups_conf | ( | v8cint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [18/24]

v8cacc64 lups_conf | ( | v8cint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [19/24]

v8cacc64 lups_conf | ( | v8cint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [20/24]

v8cacc64 lups_conf | ( | v8cint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [21/24]

v8acc64 lups_conf | ( | v8int32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [22/24]

v8acc64 lups_conf | ( | v8int32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [23/24]

v8acc64 lups_conf | ( | v8uint32 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ lups_conf() [24/24]

v8acc64 lups_conf | ( | v8uint32 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups() [1/16]

v16acc32 sups | ( | v16int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [2/16]

v16acc32 sups | ( | v16int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [3/16]

v16acc32 sups | ( | v16uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [4/16]

v16acc32 sups | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [5/16]

v32acc32 sups | ( | v32int16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [6/16]

v32acc32 sups | ( | v32int16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [7/16]

v32acc32 sups | ( | v32int8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [8/16]

v32acc32 sups | ( | v32int8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [9/16]

v32acc32 sups | ( | v32uint16 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [10/16]

v32acc32 sups | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [11/16]

v32acc32 sups | ( | v32uint8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [12/16]

v32acc32 sups | ( | v32uint8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [13/16]

v64acc32 sups | ( | v64int8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [14/16]

v64acc32 sups | ( | v64int8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups() [15/16]

v64acc32 sups | ( | v64uint8 | a,
|  | int | shft )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63

Returns
  Accumulator result of operation

## ◆ sups() [16/16]

v64acc32 sups | ( | v64uint8 | a,
|  | int | shft,
|  | int | sign )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask

Returns
  Accumulator result of operation

## ◆ sups_conf() [1/16]

v16acc32 sups_conf | ( | v16int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [2/16]

v16acc32 sups_conf | ( | v16int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [3/16]

v16acc32 sups_conf | ( | v16uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [4/16]

v16acc32 sups_conf | ( | v16uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [5/16]

v32acc32 sups_conf | ( | v32int16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [6/16]

v32acc32 sups_conf | ( | v32int16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [7/16]

v32acc32 sups_conf | ( | v32int8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [8/16]

v32acc32 sups_conf | ( | v32int8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [9/16]

v32acc32 sups_conf | ( | v32uint16 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [10/16]

v32acc32 sups_conf | ( | v32uint16 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [11/16]

v32acc32 sups_conf | ( | v32uint8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [12/16]

v32acc32 sups_conf | ( | v32uint8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [13/16]

v64acc32 sups_conf | ( | v64int8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [14/16]

v64acc32 sups_conf | ( | v64int8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [15/16]

v64acc32 sups_conf | ( | v64uint8 | a,
|  | int | shft,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sat | Saturation mode

Returns
  Accumulator result of operation

## ◆ sups_conf() [16/16]

v64acc32 sups_conf | ( | v64uint8 | a,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat )

Parameters

  a | Input vector
  shft | Within the range of 0 to 63
  sign | Sign mask
  sat | Saturation mode

Returns
  Accumulator result of operation